clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::TextEdit Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::TextEdit:
[legend]

## Public Member Functions
bool | operator== (const TextEdit &rhs) const

## Public Attributes
Range | range
| The range of the text document to be manipulated. More...
std::string | newText
| The string to be inserted. More...

## Detailed Description

Definition at line 200 of file Protocol.h.

## Member Function Documentation

## ◆ operator==()

bool clang::clangd::TextEdit::operator== | ( | const TextEdit & | rhs | ) | const
| inline

Definition at line 209 of file Protocol.h.

References clang::clangd::fromJSON(), newText, clang::clangd::operator<<(), range, and clang::clangd::toJSON().

## Member Data Documentation

## ◆ newText

std::string clang::clangd::TextEdit::newText

The string to be inserted.

For delete operations use an empty string.

Definition at line 207 of file Protocol.h.

Referenced by clang::clangd::fromJSON(), clang::clangd::operator<<(), operator==(), clang::clangd::toJSON(), and clang::clangd::toTextEdit().

## ◆ range

Range clang::clangd::TextEdit::range

The range of the text document to be manipulated.

To insert text into a document create a range where start === end.

Definition at line 203 of file Protocol.h.

Referenced by clang::clangd::fromJSON(), clang::clangd::operator<<(), operator==(), clang::clangd::toJSON(), and clang::clangd::toTextEdit().

The documentation for this struct was generated from the following file:

- Protocol.h